GNU bug report logs - #57004
[PATCH] Fontify Escape Sequences in Python String and Byte Literals

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Laurence Warne <laurencewarne@HIDDEN>; Keywords: patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 57004 <at> debbugs.gnu.org and Laurence Warne <laurencewarne@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57004 <at> debbugs.gnu.org:


Received: (at 57004) by debbugs.gnu.org; 6 Aug 2022 13:02:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 09:02:34 2022
Received: from localhost ([127.0.0.1]:33018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oKJRp-0003RM-Ps
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2022 09:02:34 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oKJRn-0003R6-Uo
 for 57004 <at> debbugs.gnu.org; Sat, 06 Aug 2022 09:02:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=HMPQ4g1ywpx4ZPTjucZWi0jI1nFWoDf0vA9UIKgs49Y=; b=vYY5Kil77LCJESbzKvVdxNoFRM
 jholSa8pUIHv+Dnl2xhsvM+ZJ9U9LMFEvwC0R+jZDX+OscnIughYL3DAxsCHwuUBVcPkjCvtBllKA
 wAGeSonVSnlNEPPOcuxroy2f2XTINB7NhAQ/IOiIoKiF+tT4jsjSHyrPOTfUTvggrYY0=;
Received: from 2.151.51.97.tmi.telenormobil.no ([2.151.51.97] helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oKJRf-00044w-9F; Sat, 06 Aug 2022 15:02:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Laurence Warne <laurencewarne@HIDDEN>
Subject: Re: bug#57004: [PATCH] Fontify Escape Sequences in Python String
 and Byte Literals
In-Reply-To: <CAE2oLqjSWkTw-f=5V3gzNKkuHO1dqU-tX1Q1YeCRV-RmRHwGZw@HIDDEN>
 (Laurence Warne's message of "Fri, 5 Aug 2022 14:06:33 +0100")
References: <CAE2oLqjSWkTw-f=5V3gzNKkuHO1dqU-tX1Q1YeCRV-RmRHwGZw@HIDDEN>
Date: Sat, 06 Aug 2022 15:02:22 +0200
Message-ID: <871qtt5xup.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Laurence Warne <laurencewarne@HIDDEN> writes: > Hi, this
 patch implements escape code syntax highlighting within string an bytes >
 literals for python-mode (described at >
 https://docs.python.org/3/reference/lexical_analysis.html#string-and-bytes
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57004
Cc: 57004 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Laurence Warne <laurencewarne@HIDDEN> writes:

> Hi, this patch implements escape code syntax highlighting within string an bytes
> literals for python-mode (described at
> https://docs.python.org/3/reference/lexical_analysis.html#string-and-bytes-literals)
> similar to how they are highlighted by https://pygments.org.

Thanks; pushed to Emacs 29.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57004; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Aug 2022 13:07:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 09:07:16 2022
Received: from localhost ([127.0.0.1]:56693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJx2m-0001E9-SM
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:07:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:34812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laurencewarne@HIDDEN>) id 1oJx2h-0001Dy-GO
 for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:07:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59148)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laurencewarne@HIDDEN>)
 id 1oJx2X-0004tI-2R
 for bug-gnu-emacs@HIDDEN; Fri, 05 Aug 2022 09:07:07 -0400
Received: from mail-vs1-xe30.google.com ([2607:f8b0:4864:20::e30]:33689)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <laurencewarne@HIDDEN>)
 id 1oJx2R-0006wA-NG
 for bug-gnu-emacs@HIDDEN; Fri, 05 Aug 2022 09:06:53 -0400
Received: by mail-vs1-xe30.google.com with SMTP id q15so2457678vsr.0
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 Aug 2022 06:06:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=ClpcSYZUEInzJaIGOp5fBfjEVkIndYQkPBA8FkpBj8s=;
 b=mRFtb2ydHZfJfXzN4dqvYxUOFWKVovhJidPJ8EYubw/IhDFe93Fz3OludFNIut7klk
 HtqqzBZkn2ZwJYogwXBycdRYjtvnq8ml1ES6oQQtRPFwciKSS/R3AcYCUBbdWbtY+fMf
 2SGSpXLSW2pRmQfqATAp8GW570KkriQZlmjsLYFxx2uL+dLrL17Kgg2dXhJ+Jwe+GEwX
 lgxpOEZhqKE4i9d4WS4cefXenW/Nir+RwCRehgT/7tjNyOgVjKXXScy6e9ZJb6epUty8
 EjZ1Uty047ChZmAwA8MH4ZyBNhi49Wg/q/imxIGZver0xBOX7vFYUhSrDKWz6QBJ85Z+
 OEZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=ClpcSYZUEInzJaIGOp5fBfjEVkIndYQkPBA8FkpBj8s=;
 b=2ynqyynrrDQ3Z6D4KVEwMDAGipsTXE3rI6GcLYJ9b1+6IqPkPkt1cHVk4hKIG6zywg
 jRq/1dAlNwrtdRz66lS+kapGreX63YySiSzPKd8vauwcvJ4pTchUujKjtKVLrzEkYDw0
 ytzdaoBwL+oHs8enIEGlo7hqOcyeit6BpJOI2SaBA+atASG8wfpNCKYNzNNKHlkLEP2y
 7PCISMX4Nx3Yc/Z8UyvwPfSk4ilpPAbxm66hNyel2KOKfqxvr3tvMnFfcg87SmmO+nQp
 pN0omig+ceXWHj7qQPfrY2fgEW3l4uB6Tao4v1wqyOGECd9CcrTn9gtn9Mqk32kSxmwr
 L3CA==
X-Gm-Message-State: ACgBeo0fE+RzO+x68t2CRODzyhYSZl3H2kXRcOSqp7s/cSuQZuC5ByU6
 B5J6FYoDkpkAUxlsG9rywy17lFDrYPulQ7RLQJDzNGtsPK0XFA==
X-Google-Smtp-Source: AA6agR58JcNB16hwmgtPDAEkI642XAZFBHvuJi0hRUNgfFeiDJMc5+TPLtPxpiA73xY+dSt2NFvAyGFgwS8GjPU8kgM=
X-Received: by 2002:a67:6d87:0:b0:386:f1b6:8d9b with SMTP id
 i129-20020a676d87000000b00386f1b68d9bmr2974934vsc.67.1659704804877; Fri, 05
 Aug 2022 06:06:44 -0700 (PDT)
MIME-Version: 1.0
From: Laurence Warne <laurencewarne@HIDDEN>
Date: Fri, 5 Aug 2022 14:06:33 +0100
Message-ID: <CAE2oLqjSWkTw-f=5V3gzNKkuHO1dqU-tX1Q1YeCRV-RmRHwGZw@HIDDEN>
Subject: [PATCH] Fontify Escape Sequences in Python String and Byte Literals
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="0000000000005467a805e57e23cb"
Received-SPF: pass client-ip=2607:f8b0:4864:20::e30;
 envelope-from=laurencewarne@HIDDEN; helo=mail-vs1-xe30.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000005467a805e57e23cb
Content-Type: multipart/alternative; boundary="0000000000005467a405e57e23c8"

--0000000000005467a405e57e23c8
Content-Type: text/plain; charset="UTF-8"

Hi, this patch implements escape code syntax highlighting within string an
bytes literals for python-mode (described at
https://docs.python.org/3/reference/lexical_analysis.html#string-and-bytes-literals)
similar to how they are highlighted by https://pygments.org.

I've written a few tests (which should probably be expanded on (: ), an
example based on one of the test samples:

b'example 1: \n \\ \u1234 \U00010348 \N{Plus-Minus Sign}'
'example 2:  \n \\ \u1234 \U00010348 \N{Plus-Minus Sign}'

e.g. in the above we see "\n", "\\" highlighted on the first line, but not
"\u1234", "\U00010348" "\N{Plus-Minus Sign}" since these items aren't valid
escape sequences in byte literals.  The second line however is a string
literal, so all of the preceding items are highlighted.

Thanks, Laurence

--0000000000005467a405e57e23c8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi, this patch implements escape code syntax highligh=
ting within string an bytes literals for python-mode (described at <a href=
=3D"https://docs.python.org/3/reference/lexical_analysis.html#string-and-by=
tes-literals">https://docs.python.org/3/reference/lexical_analysis.html#str=
ing-and-bytes-literals</a>) similar to how they are highlighted by <a href=
=3D"https://pygments.org">https://pygments.org</a>.</div><div><br></div><di=
v>I&#39;ve written a few tests (which should probably be expanded on (: ), =
an example based on one of the test samples:</div><div><br></div><div>b&#39=
;example 1: \n \\ \u1234 \U00010348 \N{Plus-Minus Sign}&#39;</div><div>&#39=
;example 2:=C2=A0 \n \\ \u1234 \U00010348 \N{Plus-Minus Sign}&#39;</div><di=
v><br></div><div>e.g. in the above we see &quot;\n&quot;, &quot;\\&quot; hi=
ghlighted on the first line, but not &quot;\u1234&quot;, &quot;\U00010348&q=
uot; &quot;\N{Plus-Minus Sign}&quot; since these items aren&#39;t valid esc=
ape sequences in byte literals.=C2=A0 The second line however is a string l=
iteral, so all of the preceding items are highlighted.</div><div><br></div>=
<div>Thanks, Laurence<br></div><br></div>

--0000000000005467a405e57e23c8--

--0000000000005467a805e57e23cb
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Fontify-python-escape-sequences-in-literals.patch"
Content-Disposition: attachment; 
	filename="0001-Fontify-python-escape-sequences-in-literals.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_l6geze6n0>
X-Attachment-Id: f_l6geze6n0
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=
--0000000000005467a805e57e23cb--




Acknowledgement sent to Laurence Warne <laurencewarne@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57004; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 6 Aug 2022 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.